{% extends 'base.html.j2' %}
{% from 'links.html.j2' import links_table %}
{% block title %}Takedown Requests{% endblock %}
{% block main %}
    <h1 class="govuk-heading-xl">Takedown Requests</h1>
    <h2 class="govuk-heading-l">Takedown Request Summary</h2>
    <h3 class="govuk-heading-m">Source URL</h3>
    <p class="govuk-body"><a href="{{ source_url }}">{{ source_url }}</a></p>
    <h3 class="govuk-heading-m">Published Snapshots</h3>
    <p class="govuk-body">
    All of the snapshots listed in the table below used the above source URL.
    </p>
    {{ links_table(query_results, storage_bucket) }}
    <form action="/tkd1" method="post">
        <input type="hidden" name="step" value="summary">
        <input type="hidden" name="source-url" value="{{ source_url }}">
        <div class="govuk-warning-text">
            <span class="govuk-warning-text__icon" aria-hidden="true">!</span>
            <strong class="govuk-warning-text__text">
                <span class="govuk-visually-hidden">Warning</span>
                Submitting this request will take down the above published snapshots and prevent future snapshots being
                published for this source URL. You cannot undo this once submitted.
            </strong>
        </div>
        <button type="submit" class="govuk-button govuk-button--warning" data-module="govuk-button">
            Submit
        </button>
    </form>
{% endblock %}